# matfile_varwrite

Write a variable in a Matlab binary MAT-file.

## Calling Sequence

    status = matfile_varwrite(fd, name, value, compressionflag)

## Arguments

fd

  Real: file descriptor (returned by matfile_open).

name

  String: name of the variable to write in the file.

value

  Any Scilab type: value of the variable to write in the file.

compressionflag

  Boolean: indicate if data compression has to be used (flag equaled to %T) or not.

status

  Boolean: %T if writing succeeds, %F otherwise.

## Description

Writes a variable in a Matlab binary MAT-file opened by matfile_open.

`matfile_varwrite` will fail if the MAT-file is not open with the "w" mode and will override any variable stored in the file.

## Examples

    fd = matfile_open("test_matfile.mat","w");
    matfile_varwrite(fd, "foo", "bar", %t);
    matfile_close(fd);

    fd = matfile_open("test_matfile.mat");
    matfile_listvar(fd)
    matfile_close(fd);

## See Also

- matfile_open
- matfile_close
- matfile_varreadnext
- matfile_listvar

## Bibliography

This function uses MATIO library ( `http://sourceforge.net/projects/matio/` ).